path: /build/build/libslirp-net-libs-4.3.1+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} net-libs/libslirp -pv -t && \
    emerge -j ${JOBS} --nodeps net-libs/libslirp
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libslirp && luet-portage --dir /pkgdir/libslirp
    net-libs/libslirp && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:79c8a7366aa91a611fa695523c67e5f2a0e3359b79611012a067de789ea40802
  package:
    name: libslirp
    version: 4.3.1+1
    category: net-libs
    requires:
    - name: libiscsi
      version: '>=0'
      category: net-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A general purpose TCP-IP emulator used by virtual machine hypervisors
      to provide virtual networking services.
    uri:
    - https://gitlab.freedesktop.org/slirp/libslirp
    license: BSD
    buildtimestamp: 2024-10-19 17:59:55.248762345 +0000 UTC m=+249.726068191
    labels:
      BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
      DEPEND: dev-libs/glib:=
      RDEPEND: dev-libs/glib:=
      emerge.packages: net-libs/libslirp
      kit: core-kit
      original.package.name: net-libs/libslirp
      original.package.slot: "0"
      original.package.version: 4.3.1
    treedir: /build/packages
  package_dir: /pkgdir/libslirp
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 115587c6e25c3ad84ac6440d707829125aaa95151562be3db33749a27a55ed9e
compressiontype: zstd
files:
- usr/include/slirp/libslirp-version.h
- usr/include/slirp/libslirp.h
- usr/lib64/libslirp.so
- usr/lib64/libslirp.so.0
- usr/lib64/libslirp.so.0.2.2
- usr/lib64/pkgconfig/slirp.pc
- usr/share/doc/libslirp-4.3.1/README.md.bz2
- var/db/pkg/net-libs/libslirp-4.3.1/BDEPEND
- var/db/pkg/net-libs/libslirp-4.3.1/BUILD_TIME
- var/db/pkg/net-libs/libslirp-4.3.1/CATEGORY
- var/db/pkg/net-libs/libslirp-4.3.1/CBUILD
- var/db/pkg/net-libs/libslirp-4.3.1/CFLAGS
- var/db/pkg/net-libs/libslirp-4.3.1/CHOST
- var/db/pkg/net-libs/libslirp-4.3.1/CONTENTS
- var/db/pkg/net-libs/libslirp-4.3.1/COUNTER
- var/db/pkg/net-libs/libslirp-4.3.1/CTARGET
- var/db/pkg/net-libs/libslirp-4.3.1/CXX
- var/db/pkg/net-libs/libslirp-4.3.1/CXXFLAGS
- var/db/pkg/net-libs/libslirp-4.3.1/DEFINED_PHASES
- var/db/pkg/net-libs/libslirp-4.3.1/DEPEND
- var/db/pkg/net-libs/libslirp-4.3.1/DESCRIPTION
- var/db/pkg/net-libs/libslirp-4.3.1/EAPI
- var/db/pkg/net-libs/libslirp-4.3.1/FEATURES
- var/db/pkg/net-libs/libslirp-4.3.1/HOMEPAGE
- var/db/pkg/net-libs/libslirp-4.3.1/INHERITED
- var/db/pkg/net-libs/libslirp-4.3.1/IUSE
- var/db/pkg/net-libs/libslirp-4.3.1/IUSE_EFFECTIVE
- var/db/pkg/net-libs/libslirp-4.3.1/KEYWORDS
- var/db/pkg/net-libs/libslirp-4.3.1/LDFLAGS
- var/db/pkg/net-libs/libslirp-4.3.1/LICENSE
- var/db/pkg/net-libs/libslirp-4.3.1/NEEDED
- var/db/pkg/net-libs/libslirp-4.3.1/NEEDED.ELF.2
- var/db/pkg/net-libs/libslirp-4.3.1/PF
- var/db/pkg/net-libs/libslirp-4.3.1/PROVIDES
- var/db/pkg/net-libs/libslirp-4.3.1/RDEPEND
- var/db/pkg/net-libs/libslirp-4.3.1/REQUIRES
- var/db/pkg/net-libs/libslirp-4.3.1/SIZE
- var/db/pkg/net-libs/libslirp-4.3.1/SLOT
- var/db/pkg/net-libs/libslirp-4.3.1/USE
- var/db/pkg/net-libs/libslirp-4.3.1/environment.bz2
- var/db/pkg/net-libs/libslirp-4.3.1/libslirp-4.3.1.ebuild
- var/db/pkg/net-libs/libslirp-4.3.1/repository
package_cacheimage: ""
runtime:
  name: libslirp
  version: 4.3.1+1
  category: net-libs
  requires:
  - name: glib
    version: '>=0'
    category: dev-libs-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A general purpose TCP-IP emulator used by virtual machine hypervisors
    to provide virtual networking services.
  uri:
  - https://gitlab.freedesktop.org/slirp/libslirp
  license: BSD
  labels:
    BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
    DEPEND: dev-libs/glib:=
    RDEPEND: dev-libs/glib:=
    emerge.packages: net-libs/libslirp
    kit: core-kit
    original.package.name: net-libs/libslirp
    original.package.slot: "0"
    original.package.version: 4.3.1
